
TextCritical.net - Bug #464

Language transformations are applied to text data without exception
Assignee: Luke Murphey % Done: 100%

Category:  Estimated time: 0.00 hour
Description

Some texts have language nodes that indicate the language of the text contained within. This ought to be used in order to avoid

applying the incorrect language conversions to the text.

Associated revisions

Revision 230 - 12/06/2012 03:04 AM - Luke Murphey

Fixed issue where texts with Greek are always treated as Greek even if the content is intended to be treated as English. Closes #464.

Revision 230 - 12/06/2012 03:04 AM - Luke Murphey

Fixed issue where texts with Greek are always treated as Greek even if the content is intended to be treated as English. Closes #464.

Revision 222 - 12/06/2012 03:04 AM - Luke Murphey

Fixed issue where texts with Greek are always treated as Greek even if the content is intended to be treated as English. Closes #464.

History

#1 - 12/01/2012 10:28 AM - Luke Murphey

- Target version changed from 1.0 to 0.2

#2 - 12/05/2012 05:19 PM - Luke Murphey

- Status changed from New to In Progress

#3 - 12/05/2012 11:19 PM - Luke Murphey

The call stack for this is:

perseus_xml_to_html5 → convert_xml_to_html5_minidom → transform_perseus_text

#4 - 12/06/2012 03:00 AM - Luke Murphey

See Marcus Cato 13 for an example of something that should not be converted to Greek script.

#5 - 12/06/2012 03:05 AM - Luke Murphey

- Target version changed from 0.2 to 0.1

#6 - 12/06/2012 03:17 AM - Luke Murphey

- Status changed from In Progress to Closed

- % Done changed from 0 to 100

Applied in changeset r230.
